ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_seq_ev_note_t Struct Reference
MIDI Sequencer » Sequencer Event Definitions

`#include <seq_event.h>`

## Data Fields
unsigned char | channel
unsigned char | note
unsigned char | velocity
unsigned char | off_velocity
unsigned int | duration

## Detailed Description

Note event

## Field Documentation

## ◆ channel

unsigned char snd_seq_ev_note_t::channel

channel number

## ◆ duration

unsigned int snd_seq_ev_note_t::duration

duration until note-off; only for SND_SEQ_EVENT_NOTE

## ◆ note

unsigned char snd_seq_ev_note_t::note

note

## ◆ off_velocity

unsigned char snd_seq_ev_note_t::off_velocity

note-off velocity; only for SND_SEQ_EVENT_NOTE

## ◆ velocity

unsigned char snd_seq_ev_note_t::velocity

velocity

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/seq_event.h